From e3ba6e82412fcd56ebacc18f243b92cc43407a4d Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 06 2017 23:30:15 +0000
Subject: [PATCH 694/1001] Remove duplicated code


---

diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 229d620..7579b19 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -9,84 +9,18 @@ import requests
 import vcr
 
 import hubs.models
+from hubs.tests import APPTest
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
 
-
-class WidgetTest(unittest.TestCase):
-    def setUp(self):
-        filename = cassette_dir + self.id()
-        self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
-        self.vcr.__enter__()
-
-        import hubs.app
-        hubs.app.fedmsg_config = {
-            'hubs.sqlalchemy.uri': 'sqlite://',  # in memory
-        }
-        hubs.app.session = hubs.models.init(
-            hubs.app.fedmsg_config['hubs.sqlalchemy.uri'],
-            create=True,
-        )
-        self.app = hubs.app.app.test_client()
-        self.app.testing = True
-        self.session = hubs.app.session
-        self.populate()
-
-    def tearDown(self):
-        self.vcr.__exit__()
-        self.session.remove()
+class WidgetTest(APPTest):
 
     def populate(self):
-        for user in ['devyani7', 'dhrish', 'shalini', 'ralph', 'decause']:
-            fullname = user.title()
-            hubs.models.User.get_or_create(
-                hubs.app.session, username=user, fullname=fullname)
-
-        hubs.app.session.flush()
-
+        super(WidgetTest, self).populate()
         hub = hubs.models.Hub.by_name('ralph')
         widget = hubs.models.Widget(
-            plugin='about',
-            index=500,
-            _config=json.dumps({"text": "Testing."}),
-        )
-
-        hub.widgets.append(widget)
-
-        widget = hubs.models.Widget(
             plugin='library',
             index=51,
             _config=json.dumps({"urls": "ralph/"})  # we must add a url or itll crash
         )
         hub.widgets.append(widget)
-
-        for team in ['i18n', 'infra', 'old']:
-            hub = hubs.models.Hub(name=team, summary="the %s team" % team)
-            if hub.name == 'old':
-                hub.last_refreshed = datetime.utcnow() - timedelta(days=100)
-                hub.last_updated = datetime.utcnow() - timedelta(days=200)
-
-            hubs.app.session.add(hub)
-            widget = hubs.models.Widget(plugin='meetings', index=11,
-                                        _config=json.dumps({'calendar': team}))
-            hub.widgets.append(widget)
-
-    # TODO - test that it is in the registry
-    # TODO - test that it has all the things it needs
-
-    def widget_instance(self, hubname, plugin):
-        hub = hubs.models.Hub.by_name(hubname)
-        if not hub:
-            raise ValueError("No such hub %r" % hubname)
-        for widget in hub.widgets:
-            if widget.plugin == plugin:
-                return widget
-        raise KeyError("No such widget found for %s/%s" % (hubname, plugin))
-
-    @staticmethod
-    def get_fedmsg(idx):
-        url = 'https://apps.fedoraproject.org/datagrepper/id'
-        response = requests.get(url, params=dict(id=idx))
-        if not bool(response):
-            raise IOError("Failed to talk to %r %r" % (response.url, response))
-        return response.json()
+        hubs.app.session.commit()

